<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('client_payment_methods', function (Blueprint $table) {
            $table->string('gateway_card_id')->nullable()->after('token');

            $table->index('gateway_card_id');
        });
    }

    public function down(): void
    {
        Schema::table('client_payment_methods', function (Blueprint $table) {
            $table->dropIndex(['gateway_card_id']);
            $table->dropColumn('gateway_card_id');
        });
    }
};
